/*
 * Class COLLECTION [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1831 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1831 [] = {0xFF01,1551,1830,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1831 [] = {0xFF01,1830,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1831 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1831 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1831 [] = {0xFF01,1830,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1831 [] = {0xFF01,1830,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1831 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1831 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1831 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1831 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1831 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1831 [] = {1830,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1831 [] = {0xFF01,1830,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1831 [] = {0xFF01,1824,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1831 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1831[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1831), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1831), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1831), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1831), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1831), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1831), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1831), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1831), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1831), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1831), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1831), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1831), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1831), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1831), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8634, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1831), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1831), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init1831(void)
{
	IDSC(desc_1831, 0, 1830);
	IDSC(desc_1831 + 1, 1, 1830);
	IDSC(desc_1831 + 32, 1134, 1830);
	IDSC(desc_1831 + 41, 1135, 1830);
}


#ifdef __cplusplus
}
#endif
